Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wfs
Class XMLFactory

    java.lang.Object
      org.deegree.ogcbase.XMLFactory
          org.deegree.owscommon.XMLFactory
              org.deegree.ogcwebservices.wfs.XMLFactory

    public class XMLFactory

extends XMLFactory

Responsible for the generation of XML representations of objects from the WFS context.

Version:
  $Revision: 18281 $, $Date: 2009-06-29 15:07:08 +0200 (Mo, 29. Jun 2009) $
Author:
  Markus Schneider , last edited by: $Author: mschneider $

Field Summary

Fields inherited from class org.deegree.owscommon.XMLFactory
`DEEGREECSWNS, OWSNS`

Fields inherited from class org.deegree.ogcbase.XMLFactory
`GMLNS, XLNNS`

Constructor Summary
`XMLFactory()`

Method Summary
`static void` | `appendFeatureTypeList(Element root, FeatureTypeList featureTypeList)` Appends the XML representation of the `wfs:FeatureTypeList`- section to the passed `Element`.
`static void` | `appendGMLObjectTypeList(Element root, URI elementNS, String elementName, GMLObject[] gmlObjectTypes)` Appends the XML representation of the `wfs:ServesGMLObjectTypeList`- section to the passed `Element` as a new element with the given qualified name.
`static void` | `appendGMLObjectTypeType(Element root, GMLObject gmlObjectType)` Appends the XML representation of the given `GMLObject` (as a `wfs:GMLObjectType` element) to the passed `Element`.
`protected static void` | `appendKeywords(Element xmlNode, Keywords[] keywords, URI namespaceURI)` Appends a `ows:Keywords` -element for each `Keywords` object of the passed array to the passed `Element`.
`protected static void` | `appendKeywords(Element xmlNode, Keywords keywords, URI namespaceURI)` Appends a `Keyword` -element to the passed `Element` and fills it with the available keywords.
`static void` | `appendOutputFormats(Element root, FormatType[] formats)` Appends the XML representation of the given `FormatType`s as (as a `wfs:OutputFormats` element) to the passed `Element`.
`protected static void` | `appendServiceIdentification(Element root, ServiceIdentification serviceIdentification)` Appends the DOM representation of the `ServiceIdentification` section to the passed `Element`.
`static void` | `appendWFSFeatureType(Element root, WFSFeatureType featureType)` Appends the XML representation of the `WFSFeatureType` instance to the passed `Element`.
`static void` | `appendWgs84BoundingBox(Element root, Envelope envelope)` Appends the XML representation of the given `Envelope` (as an `ows:WGS84BoundingBoxType` element) to the passed `Element`.
`static GetFeatureDocument` | `export(GetFeature getFeature)` Exports a `GetFeature` instance to a `GetFeatureDocument`.
`static LockFeatureDocument` | `export(LockFeature request)` Exports a `LockFeature` request instance to a `LockFeatureDocument`.
`static LockFeatureResponseDocument` | `export(LockFeatureResponse response)` Exports a `LockFeatureResponse` instance to its XML representation.
`static TransactionDocument` | `export(Transaction transaction)` Exports a `Transaction` instance to its XML representation.
`static TransactionResponseDocument` | `export(TransactionResponse response)` Exports an instance of `TransactionResponse` to its XML representation.
`static WFSCapabilitiesDocument` | `export(WFSCapabilities capabilities)` Exports a `WFSCapabilities` instance to a `WFSCapabilitiesDocument`.
`static WFSCapabilitiesDocument` | `export(WFSCapabilities capabilities, boolean serviceIdentification, boolean serviceProvider, boolean operationsMetadata, boolean featureTypeList)`
`static WFSCapabilitiesDocument` | `export(WFSCapabilities capabilities, String[] sections)` Exports a `WFSCapabilities` instance to a `WFSCapabilitiesDocument`.

Methods inherited from class org.deegree.owscommon.XMLFactory
`appendAddress, appendDCP, appendException, appendMetadata, appendOperationsMetadata, appendOWSKeywords, appendOWSKeywords, appendParameter, appendPhone, appendServiceProvider, export, exportExceptionReport, exportExceptionReportWFS, exportExceptionReportWFS100, exportNS, maybeSetAttribute`

Methods inherited from class org.deegree.ogcbase.XMLFactory
`appendCodeList, appendEnvelope, appendFeatureId, appendGeometry, appendInterval, appendLonLatEnvelope, appendOnlineResource, appendPropertyPath, appendSimpleLinkAttributes, appendTemporalDomain, appendTimePeriod, appendTimePosition, appendTimeResolution, appendTypedLiteral, appendValues`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLFactory

    public XMLFactory()

Method Detail

### export

    public static WFSCapabilitiesDocument export(WFSCapabilities capabilities)
                                          throws IOException

  Exports a `WFSCapabilities` instance to a `WFSCapabilitiesDocument`.

  Parameters:
    `capabilities` -
  Returns:
    DOM representation of the `WFSCapabilities`
  Throws:
    `IOException` - if XML template could not be loaded

### export

    public static WFSCapabilitiesDocument export(WFSCapabilities capabilities,
                                                 String[] sections)
                                          throws IOException

  Exports a `WFSCapabilities` instance to a `WFSCapabilitiesDocument`.

  Parameters:
    `capabilities` -
    `sections` - names of sections to be exported, may contain 'All'
  Returns:
    DOM representation of the `WFSCapabilities`
  Throws:
    `IOException` - if XML template could not be loaded

### export

    public static WFSCapabilitiesDocument export(WFSCapabilities capabilities,
                                                 boolean serviceIdentification,
                                                 boolean serviceProvider,
                                                 boolean operationsMetadata,
                                                 boolean featureTypeList)
                                          throws IOException

  Parameters:
    `capabilities` -
    `serviceIdentification` -
    `serviceProvider` -
    `operationsMetadata` -
    `featureTypeList` -
  Returns:
    the exported capabilities document (possibly missing some sections if one of the flags was set to false)
  Throws:
    `IOException`

### appendServiceIdentification

    protected static void appendServiceIdentification(Element root,
                                                      ServiceIdentification serviceIdentification)

  Appends the DOM representation of the `ServiceIdentification` section to the passed `Element`.

  Parameters:
    `root` -
    `serviceIdentification` -

### appendKeywords

    protected static void appendKeywords(Element xmlNode,
                                         Keywords[] keywords,
                                         URI namespaceURI)

  Appends a `ows:Keywords` -element for each `Keywords` object of the passed array to the passed `Element`.

  Parameters:
    `xmlNode` -
    `keywords` -
    `namespaceURI` -

### appendKeywords

    protected static void appendKeywords(Element xmlNode,
                                         Keywords keywords,
                                         URI namespaceURI)

  Appends a `Keyword` -element to the passed `Element` and fills it with the available keywords.

  Parameters:
    `xmlNode` -
    `keywords` -
    `namespaceURI` -

### export

    public static GetFeatureDocument export(GetFeature getFeature)
                                     throws IOException,
                                            XMLParsingException

  Exports a `GetFeature` instance to a `GetFeatureDocument`.

  Parameters:
    `getFeature` - request to be exported
  Returns:
    XML representation of the `GetFeature` request
  Throws:
    `IOException`
    `XMLParsingException`

### export

    public static LockFeatureDocument export(LockFeature request)
                                      throws IOException,
                                             XMLParsingException,
                                             SAXException

  Exports a `LockFeature` request instance to a `LockFeatureDocument`.

  Parameters:
    `request` - request to be exported
  Returns:
    XML representation of the `LockFeature` request
  Throws:
    `IOException`
    `XMLParsingException`
    `SAXException`

### export

    public static LockFeatureResponseDocument export(LockFeatureResponse response)
                                              throws IOException,
                                                     SAXException

  Exports a `LockFeatureResponse` instance to its XML representation.

  Parameters:
    `response` - response to be exported
  Returns:
    XML representation of the `LockFeatureResponse`
  Throws:
    `IOException`
    `SAXException`

### export

    public static TransactionDocument export(Transaction transaction)
                                      throws IOException,
                                             XMLParsingException

  Exports a `Transaction` instance to its XML representation.

  Parameters:
    `transaction` - transaction to export
  Returns:
    XML representation of transaction
  Throws:
    `IOException`
    `XMLParsingException`

### export

    public static TransactionResponseDocument export(TransactionResponse response)
                                              throws IOException

  Exports an instance of `TransactionResponse` to its XML representation.

  Parameters:
    `response` - TransactionResponse to export
  Returns:
    XML representation of TransactionResponse
  Throws:
    `IOException`

### appendFeatureTypeList

    public static void appendFeatureTypeList(Element root,
                                             FeatureTypeList featureTypeList)

  Appends the XML representation of the `wfs:FeatureTypeList`- section to the passed `Element`.

  Parameters:
    `root` -
    `featureTypeList` -

### appendWFSFeatureType

    public static void appendWFSFeatureType(Element root,
                                            WFSFeatureType featureType)

  Appends the XML representation of the `WFSFeatureType` instance to the passed `Element`.

  Parameters:
    `root` -
    `featureType` -

### appendGMLObjectTypeList

    public static void appendGMLObjectTypeList(Element root,
                                               URI elementNS,
                                               String elementName,
                                               GMLObject[] gmlObjectTypes)

  Appends the XML representation of the `wfs:ServesGMLObjectTypeList`- section to the passed `Element` as a new element with the given qualified name.

  Parameters:
    `root` -
    `elementNS` -
    `elementName` -
    `gmlObjectTypes` -

### appendGMLObjectTypeType

    public static void appendGMLObjectTypeType(Element root,
                                               GMLObject gmlObjectType)

  Appends the XML representation of the given `GMLObject` (as a `wfs:GMLObjectType` element) to the passed `Element`.

  Parameters:
    `root` -
    `gmlObjectType` -

### appendWgs84BoundingBox

    public static void appendWgs84BoundingBox(Element root,
                                              Envelope envelope)

  Appends the XML representation of the given `Envelope` (as an `ows:WGS84BoundingBoxType` element) to the passed `Element`.

  Parameters:
    `root` -
    `envelope` -

### appendOutputFormats

    public static void appendOutputFormats(Element root,
                                           FormatType[] formats)

  Appends the XML representation of the given `FormatType`s as (as a `wfs:OutputFormats` element) to the passed `Element`.

  Parameters:
    `root` -
    `formats` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org